<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="26dp"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/join_us_step1_title"
        android:textColor="@color/color_FF1D2129"
        android:textSize="18sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_content"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/common_bottom_dialog_bg"
        android:paddingHorizontal="22dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_input"
            android:layout_width="match_parent"
            android:layout_height="52dp"
            android:layout_marginTop="30dp"
            android:background="@drawable/common_phone_input_bg"
            android:paddingHorizontal="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <com.adealink.frame.image.view.NetworkImageView
                android:id="@+id/iv_country"
                android:layout_width="24dp"
                android:layout_height="24dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:roundAsCircle="true" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_country_code"
                android:layout_width="54dp"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="center"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="18sp"
                app:autoSizeMaxTextSize="18sp"
                app:autoSizeMinTextSize="14sp"
                app:autoSizeTextType="uniform"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_country"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="+62" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="11dp"
                android:layout_height="10dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_country_code"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_phone_country_code_select_ic" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_number_input"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="12dp"
                android:layout_marginEnd="8dp"
                android:background="@null"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="start|center_vertical"
                android:hint="@string/common_input_phone_hint"
                android:includeFontPadding="false"
                android:inputType="number"
                android:lines="1"
                android:singleLine="true"
                android:textColor="@color/color_FF1D2129"
                android:textColorHint="@color/color_FFC9CDD4"
                android:textSize="16sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/iv_clear_input"
                app:layout_constraintStart_toEndOf="@id/tv_country_code"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_goneMarginEnd="0dp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_clear_input"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_clear_input_ic"
                tools:visibility="visible" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_verify"
            android:layout_width="0dp"
            android:layout_height="@dimen/common_button_height"
            android:layout_marginTop="24dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/cl_input"
            app:text="@string/common_submit"
            app:textSize="16sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>